Grand Master Bitz:
A Warrior is a Human Fighter who relies on great physical strength. Placing importance on attack powers, Warriors concentrate on learning how to strengthen attack skills. Their HP is higher than all others'. Warriors can later change profession to Warlord or Gladiator, the higher-level professions that boast of the greatest power in armed combat. Warriors are brave Heroes who always stand in the front line of attack to prove their worth.
Ask about changing profession to a Warrior
Return